## AgsSFZGroup

AgsSFZGroup — interfacing SFZ groups

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_SFZ_GROUP_GET_OBJ_MUTEX()
GList * | ags_sfz_group_get_region ()
void | ags_sfz_group_set_region ()
GObject * | ags_sfz_group_get_sample ()
void | ags_sfz_group_set_sample ()
GList * | ags_sfz_group_get_control ()
void | ags_sfz_group_insert_control ()
gchar * | ags_sfz_group_lookup_control ()
AgsSFZGroup * | ags_sfz_group_new ()

## Properties

int | nth-group | Read / Write
gpointer | region | Read / Write
AgsSFZSample * | sample | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsSFZGroup

## Includes

    #include <ags/audio/file/ags_sfz_group.h>

## Description

AgsSFZGroup is the base object to ineract with SFZ groups.

## Functions

### AGS_SFZ_GROUP_GET_OBJ_MUTEX()

    #define AGS_SFZ_GROUP_GET_OBJ_MUTEX(obj) (&(((AgsSFZGroup *) obj)->obj_mutex))

### ags_sfz_group_get_region ()

    GList *
    ags_sfz_group_get_region (AgsSFZGroup *sfz_group);

Get the regions of `sfz_group` .

#### Parameters

sfz_group | the AgsSFZGroup |

#### Returns

the GList containing AgsSFZRegion.

[element-type AgsAudio.SFZRegion][transfer full]

Since: 3.17.0

### ags_sfz_group_set_region ()

    void
    ags_sfz_group_set_region (AgsSFZGroup *sfz_group,
                              GList *region);

Set the region field of `sfz_group`

#### Parameters

sfz_group | the AgsSFZGroup |
region | the GList containing AgsSFZRegion. | [element-type AgsAudio.SFZRegion][transfer none]

Since: 3.17.0

### ags_sfz_group_get_sample ()

    GObject *
    ags_sfz_group_get_sample (AgsSFZGroup *sfz_group);

Get the samples of `sfz_group` .

#### Parameters

sfz_group | the AgsSFZGroup |

#### Returns

the AgsSFZSample.

[transfer full]

Since: 3.17.0

### ags_sfz_group_set_sample ()

    void
    ags_sfz_group_set_sample (AgsSFZGroup *sfz_group,
                              GObject *sample);

Set the sample field of `sfz_group`

#### Parameters

sfz_group | the AgsSFZGroup |
sample | the AgsSFZSample. | [transfer none]

Since: 3.17.0

### ags_sfz_group_get_control ()

    GList *
    ags_sfz_group_get_control (AgsSFZGroup *sfz_group);

Get all control of `sfz_group` .

#### Parameters

sfz_group | the AgsSFZGroup |

#### Returns

the GList containing controls as string.

[element-type utf8][transfer container]

Since: 3.17.0

### ags_sfz_group_insert_control ()

    void
    ags_sfz_group_insert_control (AgsSFZGroup *sfz_group,
                                  gchar *key,
                                  gchar *value);

Insert control specified by `key` and `value` to `sfz_group` .

#### Parameters

sfz_group | the AgsSFZGroup |
key | the key |
value | the value |

Since: 3.0.0

### ags_sfz_group_lookup_control ()

    gchar *
    ags_sfz_group_lookup_control (AgsSFZGroup *sfz_group,
                                  gchar *key);

Lookup control specified by `key` of `sfz_group` .

#### Parameters

sfz_group | the AgsSFZGroup |
key | the key |

#### Returns

the matching value of key.

[transfer full]

Since: 3.0.0

### ags_sfz_group_new ()

    AgsSFZGroup *
    ags_sfz_group_new ();

Creates a new instance of AgsSFZGroup.

#### Returns

the new AgsSFZGroup.

Since: 3.0.0

## Property Details

### The `“nth-group”` property

      “nth-group”                int

The nth group.

Owner: AgsSFZGroup

Flags: Read / Write

Allowed values: >= -1

Default value: -1

Since: 3.0.0

### The `“region”` property

      “region”                   gpointer

The region assigned with.

[transfer full]

Owner: AgsSFZGroup

Flags: Read / Write

Since: 3.0.0

### The `“sample”` property

      “sample”                   AgsSFZSample *

The sample assigned with.

Owner: AgsSFZGroup

Flags: Read / Write

Since: 3.0.0